Next Previous Contents

## 3.151 strlen

> Function

>   Return the length of a string.

> Header

>   `string.h`

> Declaration

>   `size_t __fastcall__ strlen (const char* s);`

> Description

>   The `strlen` function computes the number of bytes in the string to which s points, not including the terminating null byte.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - When compiling with `-Os` (inline known standard functions), the function does not work correctly for strings with more than 255 characters.
> Availability

>   ISO 9899

> See also

>   strcpy

> Example

>   None.

Next Previous Contents